Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodebranchdata
Class HiddenDataAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodebranchdata.AbstractNodeBranchDataAdapter
          info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
              info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
                  info.bioinfweb.treegraph.document.nodebranchdata.HiddenDataAdapter

All Implemented Interfaces:
  IDElementAdapter, NodeBranchDataAdapter

Direct Known Subclasses:
  HiddenBranchDataAdapter, HiddenNodeDataAdapter

    public abstract class HiddenDataAdapter

extends AbstractIDElementAdapter

Field Summary
`java.text.DecimalFormat` | `DECIMAL_FORMAT`

Fields inherited from class info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
`id`

Constructor Summary
`HiddenDataAdapter(java.lang.String id)`

Method Summary
`boolean` | `assignData(Node node, TextElementData data)`
`protected void` | `createData(Node node)` This method should create the data object if does not already exist.
`void` | `delete(Node node)`
`TextElementData` | `getData(Node node)`
`protected abstract HiddenDataMap` | `getDataMap(Node node)`
`java.text.DecimalFormat` | `getDecimalFormat(Node node)`

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
`equals, getID, isNewColumn, readOnly`

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodebranchdata.NodeBranchDataAdapter
`getDataElement, toString`

Field Detail

### DECIMAL_FORMAT

    public java.text.DecimalFormat DECIMAL_FORMAT

Constructor Detail

### HiddenDataAdapter

    public HiddenDataAdapter(java.lang.String id)

Method Detail

### getDataMap

    protected abstract HiddenDataMap getDataMap(Node node)

### getData

    public TextElementData getData(Node node)

  Specified by:
    `getData` in class `TextElementDataAdapter`

### assignData

    public boolean assignData(Node node,
                              TextElementData data)

  Specified by:
    `assignData` in class `TextElementDataAdapter`

### getDecimalFormat

    public java.text.DecimalFormat getDecimalFormat(Node node)

  Specified by:
    `getDecimalFormat` in class `TextElementDataAdapter`

### createData

    protected void createData(Node node)

  Description copied from class: `TextElementDataAdapter`
  This method should create the data object if does not already exist.

  Specified by:
    `createData` in class `TextElementDataAdapter`
  Parameters:
    `node` - - the node wich is assiciated with the data object

### delete

    public void delete(Node node)

  Specified by:
    `delete` in interface `NodeBranchDataAdapter`
  Overrides:
    `delete` in class `TextElementDataAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD